Subject: [B20] another library linking probleme (termcap)
From: [email-masked] (Christine Pourcelot)

3 Dec 1998 11:20:20 -0800
Message-ID: <[email-masked]>
To: [email-masked]

Hi everybody,
I'm still having troubles while compiling and linking some libraries ... After "gettext-0.10", it's now "termcap-1.3" :

gcc -c  -DHAVE_STRING_H=1 -DHAVE_UNISTD_H=1 -DSTDC_HEADERS=1  -DTERMCAP_FILE=\"/etc/termcap\" -I. -I. -g tparam.c
In file included from tparam.c:29:
C:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\string.h:54: parse error before `('
C:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\string.h:54: warning: conflicting types for built-in function `memcpy'
C:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\string.h:54: parse error before `const'
make: *** [tparam.o] Error 1

I made some changes in "string.h" :
/* void _EXFUN(bcopy,(const char *, char *, size_t)); [email-masked] 03/12/98 */

Did anybody have the same problem ? Is my solution correct ? Is it a bug of B20 ?

Thanks

[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".